Skip to main content
GET
Error

Path Parameters

taskId
string
required

Audit task ID

Response

200 - application/json

Audit task details

SQL audit task response

taskId
string

Task ID

requestId
string

Idempotency key (external request ID)

status
enum<string>

Task status: accepted/running/finished

Available options:
accepted,
running,
finished
result
enum<string>

Decision result: allow/deny/timeout/failed

Available options:
allow,
deny,
timeout,
failed
errorCode
integer

Error code (only present when result=failed)

errorMessage
string

Error message (only present when result=failed)

riskLevel
enum<integer>

Risk level: 0-critical 1-warning 2-notice

Available options:
0,
1,
2
riskLevelDesc
enum<string>

Risk level description: critical/warning/notice

Available options:
critical,
warning,
notice
statistics
object

Statistics information

summary
string

Audit summary (Markdown format, suitable for display)

summaryData
object

Audit summary (structured JSON, suitable for metrics analysis)

reportUrl
string

Report detail page URL

reportHtml
string

Report HTML content

callbackStatus
string

Callback status: pending/success/failed/skipped

callbackMessage
string

Callback result message

finishedAt
string<date-time>

Completion time

extra
object

Extended data (passed through)

ticketId
string

Associated ticket ID

ticketTitle
string

Ticket title (usable for platform search)

auditId
string

Associated audit ID

workspaceInfo
object

Workspace information

env
string

Environment information

orgInfo
object

Organization information

ruleTemplateInfo
object

Rule template information

operatorEmail
string

Operator email

enableIndexRecommendation
boolean

Whether to run index recommendation